/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.stocks.util;

import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.kernel.webcache.WebCacheItem;
import com.liferay.portal.kernel.webcache.WebCachePoolUtil;
import com.liferay.stocks.model.Stocks;

/**
 * @author Brian Wing Shun Chan
 */
public class StocksUtil {

	public static Stocks getStocks(String symbol) {
		WebCacheItem wci = new StocksWebCacheItem(symbol);

		String key = StocksUtil.class.getName() + StringPool.PERIOD + symbol;

		try {
			return (Stocks)WebCachePoolUtil.get(key, wci);
		}
		catch (ClassCastException cce) {
			WebCachePoolUtil.remove(key);

			return (Stocks)WebCachePoolUtil.get(key, wci);
		}
	}

}